<?php
/**
 * Class Pixelio_Cart_Abandon_Recovery_More_Dashboard_Page
 *
 * Responsible for rendering the main dashboard page of the Pixelio Cart Abandonment Recovery More plugin.
 *
 * @package PixelioCartAbandonRecoveryMore\Admin\Views
 */

namespace PixelioCartAbandonRecoveryMore\Admin\Views;


	if ( ! defined( 'ABSPATH' ) ) exit;

	/**
	 * Class Pixelio_Cart_Abandon_Recovery_More_Dashboard_Page
	 *
	 * Responsible for rendering the main dashboard page of the Pixelio Cart Abandonment Recovery More plugin.
	 *
	 * @package PixelioCartAbandonRecoveryMore\Admin\Views
	 */
class Pixelio_Cart_Abandon_Recovery_More_Dashboard_Page {

	/**
	 * Constructor
	 *
	 * Initializes the dashboard page class. Currently, no actions are performed in the constructor.
	 */
	public function __construct() {
	}

	/**
	 * Load the dashboard page view
	 *
	 * This method includes the PHP template file for the plugin dashboard page.
	 * The output is captured using output buffering and returned as a string.
	 *
	 * @return string The HTML content of the dashboard page.
	 */
	public function pixelio_cart_abandon_recovery_more_get_views() {
		ob_start();
		include_once plugin_dir_path( __FILE__ ) . 'templates/pixelio-cart-abandon-recovery-more-dashboard-page.php';
		$output = ob_get_clean();
		return $output;
	}
}
